require 'easy_xml_helper/xml/xml_node_base'

module EasyDataTemplates
  module MsProject2010

    class PredecessorLink < EasyXmlHelper::Xml::XmlNodeBase

      xml_element :predecessor_uid, 'xmlns:PredecessorUID', :integer
      xml_element :type, 'xmlns:Type', :integer
      xml_element :cross_project, 'xmlns:CrossProject', :integer
      xml_element :link_lag, 'xmlns:LinkLag', :integer
      xml_element :lag_format, 'xmlns:LagFormat', :integer

    end

  end
end
